Subject: Re: gdb hangs on Linux 2.6.11 on 8xx

From: Marcelo Tosatti <[email-masked]>
Date: Wed, 14 Sep 2005 17:55:22 -0300

On Wed, Sep 14, 2005 at 12:42:18PM -0300, Aristeu Sergio Rozanski Filho wrote:
> Hi Marcelo,
> 
> > flash_test is trying to handle a signal, can you print some information
> > about it in get_signal_to_deliver (before ptrace_stop), such as si_signo:
> > 
> > typedef struct siginfo {
> >         int si_signo;
> >         int si_errno;
> >         int si_code;
> > 
> > ptrace_stop() calls do_notify_parent_cldstop() to wakeup gdb, maybe
> > there's something wrong during wakeup?
> > 
> > The box locks up completly or its just gdb that freezes?
> seems it's more simple than I thought: seems to be a problem with serial
> console as I'm able to use gdb using ssh
> Is serial console (using ttyCPM) supposed to work with gdb?

Using a different device than the one used by the serial console? Yes, 
think so..